Fallback for installer

This commit is contained in:
Kroese 2023-05-16 21:47:35 +02:00 committed by GitHub
parent 4903ff487c
commit c264c3a3e7

View File

@ -15,6 +15,13 @@ if [ -z "$URL" ]; then
fi
# Check if running with interactive TTY or redirected to docker log
if [ -t 1 ]; then
PROGRESS="--progress=bar:noscroll"
else
PROGRESS="--progress=dot:giga"
fi
BASE=$(basename "$URL" .pat)
rm -f "$STORAGE"/"$BASE".pat
@ -39,11 +46,28 @@ if [ ! -f "${RDC}" ]; then
(( rc != 0 )) && error "Failed to download $LOC, reason: $rc" && exit 60
SUM=$(md5sum "$RD" | cut -f 1 -d " ")
VERIFY="ab399db750f88ac7aa88f608f2b8651c"
if [ "$SUM" != "ab399db750f88ac7aa88f608f2b8651c" ]; then
if [ "$SUM" != "$VERIFY" ]; then
PAT="/dsm.pat"
rm "$RD"
rm -f "$PAT"
{ wget "$LOC" -O "$PAT" -q --no-check-certificate --show-progress "$PROGRESS"; rc=$?; } || :
(( rc != 0 )) && error "Failed to download $LOC, reason: $rc" && exit 60
tar --extract --file="$PAT" --directory="$TMP/." rd.gz
rm "$PAT"
SUM=$(md5sum "$RD" | cut -f 1 -d " ")
if [ "$SUM" != "$VERIFY" ]; then
error "Invalid download location (checksum $SUM)" && exit 61
fi
fi
cp "$RD" "$RDC"
fi
@ -68,13 +92,6 @@ info "Install: Downloading $(basename "$URL")..."
PAT="/$BASE.pat"
rm -f "$PAT"
# Check if running with interactive TTY or redirected to docker log
if [ -t 1 ]; then
PROGRESS="--progress=bar:noscroll"
else
PROGRESS="--progress=dot:giga"
fi
{ wget "$URL" -O "$PAT" -q --no-check-certificate --show-progress "$PROGRESS"; rc=$?; } || :
(( rc != 0 )) && error "Failed to download $URL, reason: $rc" && exit 69